Am I going nuts? [found, thanks]
-
Seems you have also a plug by Chris Fullmer "Perpendicular face tool" that allow you to draw a square, a circle, or any surface at the end of a line
-
Wow, thank you, Pilou, this one comes in handy, too.
Update: A combination of TIG's line and Chris Fullmer's "Perpendicular Face Tools" seems to be the ticket.
-
@ecuadorian said:
I have a vague memory of the author having a Japanese name.
I am glad you have found the plugin. You can modify the distanceuser_dir.length=2.0
. I have used the plugin even to cut-out an opening for a proposed building and has left the plane at the standard offset.
It was like doing a photoshop mask in SU . I could then export a photomontage straight form SketchUp. There is an issue with such a method when the Sun points towards camera, cos the photomatched plane gets too dark in relation to the model itself.Tomasz
-
Hi, Tomasz, thank you for your great work with the KT exporter. At the end I decided "Bring My View Back" was the quickest and most precise way to add a background. All I needed to do was change the axes of the component and then I was able to scale it as I wanted. I'll post a video tutorial soon for anyone interested.
And I found a way to solve the problem of the sun and sky interacting with the background plane when rendering in Twilight:
http://twilightrender.com/phpBB3/viewtopic.php?f=12&t=471
This means now I can use an HDRI or physical sky + sun for illumination, and another image as a background. -
@ecuadorian said:
Frederik pointed me to the...
my name's not "Frederik", but I'm flattered you would confuse us.
-
@ecuadorian said:
All I needed to do was change the axes of the component and then I was able to scale it as I wanted. I'll post a video tutorial soon for anyone interested.
Here is a new version 1.1 for you. No need for changing axes
Tomasz
-
Wow, thank you very much, Tomasz! Please, mods, add this to the ruby index. And thank you, Shane, for pointing him to this thread (I can't explain how he'd find about it otherwise).
-
@tig said:
Do I understand correctly that you want a script to draw a guideline from the camera eye position 1m towards the target ?
If so this line of code pasted into the ruby console will do it...m=Sketchup.active_model;v=m.active_view;c=v.camera;e=c.eye;t=c.target;e1=e.offset((t-e),1.m);m.active_entities.add_cline(e,e1)
???
To make it a solid line change the text 'add_cline' to 'add_line'.Thank you TIG for this piece of code.However it seems that executing it, doesn't draw the line...(I am on SU 7)
Another little question (I am such a ruby noob Is there some template ruby file where I can paste this code in so it becomes a .rb file I can put in the plugin folder?Thank you in advance,
Chris
-
@kwistenbiebel said:
@tig said:
Do I understand correctly that you want a script to draw a guideline from the camera eye position 1m towards the target ?
If so this line of code pasted into the ruby console will do it...m=Sketchup.active_model;v=m.active_view;c=v.camera;e=c.eye;t=c.target;e1=e.offset((t-e),1.m);m.active_entities.add_cline(e,e1)
???
To make it a solid line change the text 'add_cline' to 'add_line'.Thank you TIG for this piece of code. However it seems that executing it, doesn't draw the line...(I am on SU 7)
Another little question (I am such a ruby noob Is there some template ruby file where I can paste this code in so it becomes a .rb file I can put in the plugin folder?
Thank you in advance,
ChrisWorks fine for me in v7. You won't see the cline unless you change your view as you are looking straight down it...
You need no special 'Ruby' file - just make a plain text file (xxx.txt) with Notepad and change it's sufffix to .rb (xxx.rb) - on a PC you must have filetypes set to display their suffixes...Putting in plain code would cause problems since it'd run as soon as the script loaded as soon as the model opens... So you make a 'def' so you choose when it runs [I'll keep it simple and miss out Modules and Classes etc], thus:
def clinefromeye model = Sketchup.active_model view = model.active_view camera = view.camera eyepoint = camera.eye targetpoint = camera.target eyepoint1m = eyepoint.offset((targetpoint-eyepoint), 1.m) model.active_entities.add_cline(eyepoint, eyepoint1m) end#def
I originally abbreviated the code so it was in a one-liner - above shows the same code but made more readable - note that the
#
=='comments' and previously ';
' were=='newline'...
To run it now typeclinefromeye
in the Ruby Console...
To addclinefromeye
to a menu or toolbar... I suggest you see other scripts for examples... -
@ecuadorian said:
Hi, Tomasz, thank you for your great work with the KT exporter. At the end I decided "Bring My View Back" was the quickest and most precise way to add a background. [...] I'll post a video tutorial soon for anyone interested.
A bit late, but here it is:
http://www.forums.sketchucation.com/viewtopic.php?f=18&t=22786
Advertisement